org.springframework.batch.sample.domain.trade.internal

## Class FlatFileCustomerCreditDao

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.internal.FlatFileCustomerCreditDao

- All Implemented Interfaces:
    CustomerCreditDao, org.springframework.beans.factory.DisposableBean

      public class FlatFileCustomerCreditDao
      extends java.lang.Object
      implements CustomerCreditDao, org.springframework.beans.factory.DisposableBean

  Writes customer's credit information in a file.
  Author:
    Robert Kasanicky
  See Also:
    `CustomerCreditDao`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlatFileCustomerCreditDao()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `destroy()`
    `void` | `open(ExecutionContext executionContext)`
    `void` | `setItemWriter(ItemWriter<java.lang.String> itemWriter)`
    `void` | `setSeparator(java.lang.String separator)`
    `void` | `writeCredit(CustomerCredit customerCredit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlatFileCustomerCreditDao

          public FlatFileCustomerCreditDao()

  - ### Method Detail

    - #### writeCredit

          public void writeCredit(CustomerCredit customerCredit)
                           throws java.lang.Exception

      Specified by:
        `writeCredit` in interface `CustomerCreditDao`
      Throws:
        `java.lang.Exception`

    - #### setSeparator

          public void setSeparator(java.lang.String separator)

    - #### setItemWriter

          public void setItemWriter(ItemWriter<java.lang.String> itemWriter)

    - #### open

          public void open(ExecutionContext executionContext)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### close

          public void close()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### destroy

          public void destroy()
                       throws java.lang.Exception

      Specified by:
        `destroy` in interface `org.springframework.beans.factory.DisposableBean`
      Throws:
        `java.lang.Exception`